#ifndef FS_H_
#define FS_H_

#include <vector>
#include <stdlib.h>
#include "fspath.h"

enum FSNodeType {
	FSTYPE_UNKNOWN,
	FSTYPE_FILE,
	FSTYPE_DIR,
	FSTYPE_DEV
};

class FSNode {
public:
	FSNodeType type;
	FSPath path;
	size_t size;

	FSNode *parent;
	std::vector<FSNode*> children;
	int nfiles, ndirs;

	FSNode();

	bool expand();
};

bool init_fs(const char *path = 0);
void cleanup_fs();

void draw_fs();

FSNode *get_fsnode(const char *path);
FSNode *get_fsnode(const char *dir, const char *name);

#endif	// FS_H_
